'use strict';

var BaseStyle = require('primevue/base/style');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

var classes = {
  root: 'p-tablist',
  content: function content(_ref) {
    var instance = _ref.instance;
    return ['p-tablist-content', {
      'p-tablist-viewport': instance.$pcTabs.scrollable
    }];
  },
  tabs: 'p-tablist-tab-list',
  inkbar: 'p-tablist-active-bar',
  previousButton: 'p-tablist-prev-button',
  nextButton: 'p-tablist-next-button'
};
var TabListStyle = BaseStyle__default["default"].extend({
  name: 'tablist',
  classes: classes
});

module.exports = TabListStyle;
